diff -ruN vdr-1.6.0/CONTRIBUTORS vdr-1.6.0-1/CONTRIBUTORS
--- vdr-1.6.0/CONTRIBUTORS	2008-03-18 18:34:00.000000000 +0100
+++ vdr-1.6.0-1/CONTRIBUTORS	2008-04-13 15:34:03.000000000 +0200
@@ -595,6 +595,8 @@
  not two hex digits after the '#'
  for suggesting to suppress the automatic shutdown if the remote control is
  currently disabled
+ for suggesting to improve logging system time changes to avoid problems on slow
+ systems under heavy load
 
 Jeremy Hall <jhall@UU.NET>
  for fixing an incomplete initialization of the filter parameters in eit.c
@@ -958,6 +960,7 @@
  for making the SVDRP command LSTC list the channels with group separators if the
  option ':groups' is given
  for fixing handling 3 and 4 byte UTF-8 symbols in Utf8CharGet()
+ for fixing initializing the timer's flags in the cTimer copy constructor
 
 Olivier Jacques <jacquesolivier@hotmail.com>)
  for translating OSD texts to the French language
@@ -1174,6 +1177,7 @@
  for reporting an invalid access in the section handler when ending VDR
  for pointing out that cDevice::Transferring() doesn't return the right value in the
  early stage of channel switching
+ for fixing handling the counter in detection of pre 1.3.19 PS data
 
 Richard Robson <richard_robson@beeb.net>
  for reporting freezing replay if a timer starts while in Transfer Mode from the
@@ -1506,6 +1510,7 @@
  for translating OSD texts to the Estonian language
  for fixing a missing ',' in the Greek OSD texts
  for fixing a missing ',' in the Swedish OSD texts
+ for reporting problems with CAMs when checking the CAM status too frequently
 
 Milos Kapoun <m.kapoun@cra.cz>
  for suggesting to skip code table info in SI data
diff -ruN vdr-1.6.0/HISTORY vdr-1.6.0-1/HISTORY
--- vdr-1.6.0/HISTORY	2008-03-23 11:26:08.000000000 +0100
+++ vdr-1.6.0-1/HISTORY	2008-04-13 15:33:46.000000000 +0200
@@ -5729,3 +5729,14 @@
 - Added Chinese language texts (thanks to Nan Feng).
 - Updated the Portuguese language texts.
 - Added a note about VDR_CHARSET_OVERRIDE to the INSTALL file.
+
+2008-04-13: Version 1.6.0-1
+
+- Fixed handling the counter in detection of pre 1.3.19 PS data (thanks to Reinhard
+  Nissl).
+- Improved logging system time changes to avoid problems on slow systems under
+  heavy load (suggested by Helmut Auer).
+- Fixed initializing the timer's flags in the cTimer copy constructor (thanks to
+  Andreas Mair).
+- Increased the time between checking the CAM status to 500ms to avoid problems
+  with some CAMs (reported by Arthur Konovalov).
diff -ruN vdr-1.6.0/ci.c vdr-1.6.0-1/ci.c
--- vdr-1.6.0/ci.c	2007-04-30 15:02:49.000000000 +0200
+++ vdr-1.6.0-1/ci.c	2008-04-13 15:33:32.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: ci.c 1.48 2007/04/30 13:02:49 kls Exp $
+ * $Id: ci.c 1.48.1.1 2008/04/13 13:33:32 kls Exp $
  */
 
 #include "ci.h"
@@ -1525,7 +1525,7 @@
 
 cCamSlots CamSlots;
 
-#define MODULE_CHECK_INTERVAL 100 // ms
+#define MODULE_CHECK_INTERVAL 500 // ms
 #define MODULE_RESET_TIMEOUT    2 // s
 
 cCamSlot::cCamSlot(cCiAdapter *CiAdapter)
diff -ruN vdr-1.6.0/config.h vdr-1.6.0-1/config.h
--- vdr-1.6.0/config.h	2008-03-23 11:26:10.000000000 +0100
+++ vdr-1.6.0-1/config.h	2008-04-13 13:09:42.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 1.310 2008/03/23 10:26:10 kls Exp $
+ * $Id: config.h 1.310.1.1 2008/04/13 11:09:42 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -22,7 +22,7 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.6.0"
+#define VDRVERSION  "1.6.0-1"
 #define VDRVERSNUM   10600  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
diff -ruN vdr-1.6.0/device.c vdr-1.6.0-1/device.c
--- vdr-1.6.0/device.c	2008-03-09 11:03:34.000000000 +0100
+++ vdr-1.6.0-1/device.c	2008-04-13 13:16:00.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: device.c 1.157 2008/03/09 10:03:34 kls Exp $
+ * $Id: device.c 1.157.1.1 2008/04/13 11:16:00 kls Exp $
  */
 
 #include "device.h"
@@ -1273,7 +1273,7 @@
                uchar SubStreamIndex = SubStreamId & 0x1F;
 
                // Compatibility mode for old VDR recordings, where 0xBD was only AC3:
-pre_1_3_19_PrivateStreamDeteced:
+pre_1_3_19_PrivateStreamDetected:
                if (pre_1_3_19_PrivateStream > MIN_PRE_1_3_19_PRIVATESTREAM) {
                   SubStreamId = c;
                   SubStreamType = 0x80;
@@ -1314,7 +1314,8 @@
                          if (pre_1_3_19_PrivateStream > MIN_PRE_1_3_19_PRIVATESTREAM) {
                             dsyslog("switching to pre 1.3.19 Dolby Digital compatibility mode - substream id = %02X", SubStreamId);
                             ClrAvailableTracks();
-                            goto pre_1_3_19_PrivateStreamDeteced;
+                            pre_1_3_19_PrivateStream = MIN_PRE_1_3_19_PRIVATESTREAM + 1;
+                            goto pre_1_3_19_PrivateStreamDetected;
                             }
                          }
                  }
diff -ruN vdr-1.6.0/eit.c vdr-1.6.0-1/eit.c
--- vdr-1.6.0/eit.c	2007-08-26 12:56:33.000000000 +0200
+++ vdr-1.6.0-1/eit.c	2008-04-13 13:46:38.000000000 +0200
@@ -8,7 +8,7 @@
  * Robert Schneider <Robert.Schneider@web.de> and Rolf Hakenes <hakenes@hippomi.de>.
  * Adapted to 'libsi' for VDR 1.3.0 by Marcel Wiesweg <marcel.wiesweg@gmx.de>.
  *
- * $Id: eit.c 1.126 2007/08/26 10:56:33 kls Exp $
+ * $Id: eit.c 1.126.1.1 2008/04/13 11:46:38 kls Exp $
  */
 
 #include "eit.h"
@@ -300,9 +300,9 @@
   if (diff > 2) {
      mutex.Lock();
      if (abs(diff - lastDiff) < 3) {
-        isyslog("System Time = %s (%ld)", *TimeToString(loctim), loctim);
-        isyslog("Local Time  = %s (%ld)", *TimeToString(sattim), sattim);
-        if (stime(&sattim) < 0)
+        if (stime(&sattim) == 0)
+           isyslog("system time changed from %s (%ld) to %s (%ld)", *TimeToString(loctim), loctim, *TimeToString(sattim), sattim);
+        else
            esyslog("ERROR while setting system time: %m");
         }
      lastDiff = diff;
diff -ruN vdr-1.6.0/timers.c vdr-1.6.0-1/timers.c
--- vdr-1.6.0/timers.c	2008-02-16 15:47:40.000000000 +0100
+++ vdr-1.6.0-1/timers.c	2008-04-13 14:47:12.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: timers.c 1.73 2008/02/16 14:47:40 kls Exp $
+ * $Id: timers.c 1.73.1.1 2008/04/13 12:47:12 kls Exp $
  */
 
 #include "timers.h"
@@ -92,6 +92,7 @@
   channel = NULL;
   aux = NULL;
   event = NULL;
+  flags = tfNone;
   *this = Timer;
 }
 
